OpenJPEG: jpip_parser.h File Reference

OpenJPEG 2.5.4

Functions
jpip_parser.h File Reference
`#include "query_parser.h"`
`#include "session_manager.h"`
`#include "target_manager.h"`
`#include "msgqueue_manager.h"`
`#include "channel_manager.h"`

Go to the source code of this file.

## Functions
OPJ_BOOL | identify_target (query_param_t query_param, targetlist_param_t *targetlist, target_param_t **target)
| REQUEST: target identification by target or tid request.
OPJ_BOOL | associate_channel (query_param_t query_param, sessionlist_param_t *sessionlist, session_param_t **cursession, channel_param_t **curchannel)
| REQUEST: channel association this must be processed before any process.
OPJ_BOOL | open_channel (query_param_t query_param, sessionlist_param_t *sessionlist, auxtrans_param_t auxtrans, target_param_t *target, session_param_t **cursession, channel_param_t **curchannel)
| REQUEST: new channel (cnew) assignment.
OPJ_BOOL | close_channel (query_param_t query_param, sessionlist_param_t *sessionlist, session_param_t **cursession, channel_param_t **curchannel)
| REQUEST: channel close (cclose)
OPJ_BOOL | gene_JPIPstream (query_param_t query_param, target_param_t *target, session_param_t *cursession, channel_param_t *curchannel, msgqueue_param_t **msgqueue)
| REQUEST: view-window (fsiz)

## Function Documentation

## ◆ associate_channel()

OPJ_BOOL associate_channel | ( | query_param_t | query_param,
|  | sessionlist_param_t * | sessionlist,
|  | session_param_t ** | cursession,
|  | channel_param_t ** | curchannel )

REQUEST: channel association this must be processed before any process.

Parameters

  [in] | query_param | structured query
  [in] | sessionlist | session list pointer
  [out] | cursession | address of the associated session pointer
  [out] | curchannel | address of the associated channel pointer

Returns
  if succeeded (true) or failed (false)

References query_param::cid, query_param::cnew, FCGI_stderr, OPJ_FALSE, OPJ_TRUE, search_session_and_channel(), and set_channel_variable_param().

## ◆ close_channel()

OPJ_BOOL close_channel | ( | query_param_t | query_param,
|  | sessionlist_param_t * | sessionlist,
|  | session_param_t ** | cursession,
|  | channel_param_t ** | curchannel )

REQUEST: channel close (cclose)

Parameters

  [in] | query_param | structured query
  [in] | sessionlist | session list pointer
  [in,out] | cursession | address of the session pointer of deleting channel
  [in,out] | curchannel | address of the deleting channel pointer

Returns
  if succeeded (true) or failed (false)

References query_param::cclose, delete_channel(), delete_session(), FCGI_stdout, logstream, query_param::numOfcclose, OPJ_FALSE, OPJ_TRUE, search_channel(), and search_session_and_channel().

## ◆ gene_JPIPstream()

OPJ_BOOL gene_JPIPstream | ( | query_param_t | query_param,
|  | target_param_t * | target,
|  | session_param_t * | cursession,
|  | channel_param_t * | curchannel,
|  | msgqueue_param_t ** | msgqueue )

REQUEST: view-window (fsiz)

Parameters

  [in] | query_param | structured query
  [in] | target | requested target pointer
  [in,out] | cursession | associated session pointer
  [in,out] | curchannel | associated channel pointer
  [out] | msgqueue | address of the message queue pointer

Returns
  if succeeded (true) or failed (false)

References query_param::box_type, channel_param::cachemodel, index_param::COD, target_param::codeidx, enqueue_imagedata(), enqueue_mainheader(), enqueue_metabins(), FCGI_stdout, query_param::fx, query_param::fy, gene_cachemodel(), gene_msgqueue(), JPPstream, cachemodel_param::jppstream, query_param::layers, query_param::len, query_param::metadata_only, index_param::metadatalist, cachemodel_param::mhead_model, CODmarker_param::numOflayers, OPJ_FALSE, OPJ_TRUE, query_param::return_type, and cachemodel_param::target.

## ◆ identify_target()

OPJ_BOOL identify_target | ( | query_param_t | query_param,
|  | targetlist_param_t * | targetlist,
|  | target_param_t ** | target )

REQUEST: target identification by target or tid request.

Parameters

  [in] | query_param | structured query
  [in] | targetlist | target list pointer
  [out] | target | address of target pointer

Returns
  if succeeded (true) or failed (false)

References query_param::cid, FCGI_stdout, gene_target(), OPJ_FALSE, OPJ_TRUE, search_target(), search_targetBytid(), query_param::target, and query_param::tid.

## ◆ open_channel()

OPJ_BOOL open_channel | ( | query_param_t | query_param,
|  | sessionlist_param_t * | sessionlist,
|  | auxtrans_param_t | auxtrans,
|  | target_param_t * | target,
|  | session_param_t ** | cursession,
|  | channel_param_t ** | curchannel )

REQUEST: new channel (cnew) assignment.

Parameters

  [in] | query_param | structured query
  [in] | sessionlist | session list pointer
  [in] | auxtrans | auxiliary transport
  [in] | target | requested target pointer
  [in,out] | cursession | address of the associated/opened session pointer
  [in,out] | curchannel | address of the associated/opened channel pointer

Returns
  if succeeded (true) or failed (false)

References gene_cachemodel(), gene_channel(), gene_session(), JPPstream, OPJ_FALSE, OPJ_TRUE, query_param::return_type, and search_cachemodel().